[solved] problem to run warzone on debian 8

Other talk that doesn't fit elsewhere.
This is for General Discussion, not General chat.
Post Reply
nobbbb
New user
Posts: 2
Joined: 26 Jul 2016, 15:30

[solved] problem to run warzone on debian 8

Post by nobbbb » 26 Jul 2016, 15:50

Hi,
i'm an old player of Warzone from France, and every time i enjoy play this game.

This is my problem:

I just install it on my new computer:
Lenovo Yoga 300 with debian 8
(sudo apt-get install warzone2100)

but when i run the program, i have this message:
LLVM ERROR: Cannot select: intrinsic %llvm.x86.sse41.pblendvb
AL lib: (EE) alc_cleanup: 1 device not closed

and the game close...
I tried to follow this

http://unix.stackexchange.com/questions ... ian-stable

and

https://debian-facile.org/viewtopic.php?id=13187

(about 3D accelerator and i don't realy know...)

I tried to update, install news libs, look about my graphic card drivers etc... but no ideas no more...

So, any suggestion can be great ;) if someone know the problem.
Lot of thanks!
See you!

nob
Last edited by nobbbb on 26 Jul 2016, 22:26, edited 1 time in total.

Per
Warzone 2100 Team Member
Warzone 2100 Team Member
Posts: 3768
Joined: 03 Aug 2006, 19:39

Re: problem to run warzone on debian 8

Post by Per » 26 Jul 2016, 17:40

This looks like a build problem (built with SSE4.1, and you don't have it?). Since you use your distro's (ie Debian's) build of the game, you will need to contact them about it, or build the game yourself from source.

nobbbb
New user
Posts: 2
Joined: 26 Jul 2016, 15:30

Re: problem to run warzone on debian 8

Post by nobbbb » 26 Jul 2016, 22:25

Hi!
Thank you,
i solved my problem thanks to installing this package :
libgl1-mesa-swx11
found here :
http://unix.stackexchange.com/questions ... ian-stable

thanks for your help and time! :)
++
nob

Post Reply